Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799962 - qucs: FTBFS in Fedora rawhide/f32: alter.o: multiple definition of `MPI_EXXIT'; auxfunc_alter.o: first defined here
Summary: qucs: FTBFS in Fedora rawhide/f32: alter.o: multiple definition of `MPI_EXXIT...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qucs
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:44 UTC by Fedora Release Engineering
Modified: 2020-07-24 02:18 UTC (History)
3 users (show)

Fixed In Version: qucs-0.0.18-19.fc33 qucs-0.0.18-19.fc32 qucs-0.0.18-18.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-24 01:13:45 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 19:44 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 19:44 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 19:44 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:44:23 UTC
qucs failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41321088


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix qucs at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
qucs will be orphaned. Before branching of Fedora 33,
qucs will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:44:26 UTC
Created attachment 1660558 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:44:28 UTC
Created attachment 1660559 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:44:29 UTC
Created attachment 1660560 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:51:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:32:16 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Alain V. 2020-02-19 11:03:34 UTC
It is probably a gcc version 10 collateral effect.
I want to try packaging the latest stable release 0.0.19, hopefully solving this problem.

Comment 7 Alain V. 2020-07-02 20:08:36 UTC
Can't rpmbuild it. I asked some help, and receive a proposal... Need to be implemented

Comment 8 Petr Pisar 2020-07-14 12:33:59 UTC
The error message is:

gcc  -O2 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=zEC12 -mtune=z13 -fasynchronous-unwind-tables -fstack-clash-protection  -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -s -o alter auxfunc_alter.o alter.o auxfunc.o  -lm 
/usr/bin/ld: alter.o:(.bss+0x4): multiple definition of `MPI_EXXIT'; auxfunc_alter.o:(.bss+0x4): first defined here
/usr/bin/ld: alter.o:(.bss+0x0): multiple definition of `spice'; auxfunc_alter.o:(.bss+0x0): first defined here
/usr/bin/ld: alter.o:(.bss+0x8): multiple definition of `lkk'; auxfunc_alter.o:(.bss+0x8): first defined here
/usr/bin/ld: auxfunc.o:(.bss+0x4): multiple definition of `MPI_EXXIT'; auxfunc_alter.o:(.bss+0x4): first defined here
/usr/bin/ld: auxfunc.o:(.bss+0x0): multiple definition of `spice'; auxfunc_alter.o:(.bss+0x0): first defined here
/usr/bin/ld: auxfunc.o:(.bss+0x8): multiple definition of `lkk'; auxfunc_alter.o:(.bss+0x8): first defined here
collect2: error: ld returned 1 exit status

This usually happens if more compilation units include the same header file that defines a variable instead of declaring it. Linker then does not know which of the definitions to use. This is triggered by GCC 10.

Comment 9 Fedora Update System 2020-07-15 11:46:10 UTC
FEDORA-2020-74cdc3857f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-74cdc3857f

Comment 10 Fedora Update System 2020-07-15 11:46:28 UTC
FEDORA-2020-e332fc5cef has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e332fc5cef

Comment 11 Fedora Update System 2020-07-16 01:38:47 UTC
FEDORA-2020-e332fc5cef has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e332fc5cef`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e332fc5cef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-07-16 01:59:42 UTC
FEDORA-2020-74cdc3857f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-74cdc3857f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-74cdc3857f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-07-24 01:13:45 UTC
FEDORA-2020-74cdc3857f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-07-24 02:18:14 UTC
FEDORA-2020-e332fc5cef has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.